Subject: need help setting up ftp server

From: <[email-masked]>
Date: Thu, 29 Jun 1995 14:28:15 +0000 (GMT)

I'd like to setup an ftp server that will allow users that have a
certain shell or belong to a certain group (/etc/group) to have ftp
access to the machine but in a restricted (chroot'd) environment.

I'd like the users to login using their own username and password.
Users must still be able to login to the server via telnet, etc
using the same username and password combination.
I'm not sure this can be done...if it can't I'll have to go with
an anonymous ftp...but I having problems with anonymous ftp also:

When logging in as anonymous I get:
ftp> ls
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.
ftp> get README
local: README remote: README
200 PORT command successful.
425 Can't create data socket (0.0.0.0,20): Bad file number.

OS: Sequent DYNIX/ptx 2.1.x with ptx/TCP/IP V2.4.4
ftpd version: Version wu-2.4(4)
/etc/passwd:   ftp:x:997:99:ftp:/ftp:/bin/false

I've followed the instructions for anonymous ftp from my vendor.
Including creating ~ftp/dev/tcp
I think the problem may be related to the socket type.
Vendor's ftpd uses tli...and works fine w/anonymous ftp.

/etc/inetd.conf:
#ftp    tli     tcp     nowait  root    /usr/etc/tcpd   ftpd -t3600 -l
ftp     stream  tcp     nowait  root    /usr/etc/tcpd   /usr/local/etc/ftpd -d - l
Here's my ftpaccess just in case:
email [email-masked]
loginfails 3
guestgroup ftpguest
class   all   real,guest,anonymous  *
limit   all   10   Any              /etc/msgs/msg.dead
readme  README*    login
readme  README*    cwd=*
banner /usr/local/etc/ftp.issue
compress        yes             local remote
tar             yes             local remote
log commands anonymous,guest,real
log transfers anonymous,real inbound,outbound
shutdown /etc/shutmsg
delete   no real,guest,anonymous
overwrite no real,guest,anonymous
chmod    no real,guest,anonymous
rename   no real,guest,anonymous
upload /ftp/incoming yes

What am I missing?
I even tried making ~ftp = /  for a brief moment w/anonymous ftp
and that worked fine.

Any suggestions?
-- 
 - Shane C Hutchins          "Any sufficiently advanced technology is
   <[email-masked]>       indistinguishable from magic." (Arthur C. Clarke)